[ARVADOS-DEV] updated: 392bb29006a26b63ee7a78a3472468620eca5e59
Git user
git at public.curoverse.com
Wed Oct 26 11:22:18 EDT 2016
Summary of changes:
jenkins/run-deploy.sh | 36 ++++++++++++++++++------------------
1 file changed, 18 insertions(+), 18 deletions(-)
via 392bb29006a26b63ee7a78a3472468620eca5e59 (commit)
from 5c45372ab04539fde7b2ff7543e07a6539f46e95 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 392bb29006a26b63ee7a78a3472468620eca5e59
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date: Wed Oct 26 11:22:16 2016 -0400
9842: Move arvados/jobs Docker image to upload after shell node is deployed,
because it gets a git commit hash from arvados-cwl-runner package which may
have been updated.
diff --git a/jenkins/run-deploy.sh b/jenkins/run-deploy.sh
index 4b8a677..8849e87 100755
--- a/jenkins/run-deploy.sh
+++ b/jenkins/run-deploy.sh
@@ -207,24 +207,6 @@ if [[ "$ARVADOS_API_HOST" == "" ]] || [[ "$ARVADOS_API_TOKEN" == "" ]]; then
exit 1
fi
-title "Installing arvados/jobs docker image"
-
-GIT_COMMIT=`ssh -o "StrictHostKeyChecking no" $IDENTIFIER cat /usr/local/arvados/src/git-commit.version`
-
-if [[ "$?" != "0" ]] || [[ "$GIT_COMMIT" == "" ]]; then
- title "ERROR: unable to get arvados/jobs Docker image git revision"
- exit 1
-fi
-title "Found git commit for arvados/jobs Docker image: $GIT_COMMIT"
-
-cat "$(dirname "$0")/install-arvados-jobs-image" | \
- ssh -o "StrictHostKeyChecking no" shell.$IDENTIFIER \
- "ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN python - --git-commit $GIT_COMMIT -v"
-if [[ "$?" != 0 ]]; then
- title "ERROR: unable to update arvados/jobs image"
- exit 1
-fi
-
title "Gathering list of shell and Keep nodes"
SHELL_NODES=`ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN arv virtual_machine list |jq .items[].hostname -r`
KEEP_NODES=`ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN arv keep_service list |jq .items[].service_host -r`
@@ -252,3 +234,21 @@ export -f title
export SSH_PORT
export PUPPET_AGENT
echo $nodes|xargs -d " " -n 1 -P 10 -I {} bash -c "run_puppet {}"
+
+title "Installing arvados/jobs docker image"
+
+GIT_COMMIT=`ssh -o "StrictHostKeyChecking no" shell.$IDENTIFIER "python -c 'import arvados_cwl ; print arvados_cwl.__version__'"`
+
+if [[ "$?" != "0" ]] || [[ "$GIT_COMMIT" == "" ]]; then
+ title "ERROR: unable to get arvados/jobs Docker image git revision"
+ exit 1
+fi
+title "Found git commit for arvados/jobs Docker image: $GIT_COMMIT"
+
+cat "$(dirname "$0")/install-arvados-jobs-image" | \
+ ssh -o "StrictHostKeyChecking no" shell.$IDENTIFIER \
+ "ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN python - --git-commit $GIT_COMMIT -v"
+if [[ "$?" != 0 ]]; then
+ title "ERROR: unable to update arvados/jobs image"
+ exit 1
+fi
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list